# QA Dashboard
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


from django.views.decorators.http import require_GET

from common.utils import (
    JSONResponse,
    MySerializer,
)

from memevent.models import (
    MemoryEventDetail,
    MemoryEventImage,
    MemoryEventMachine,
)


@require_GET
def detail_overview(request, build_number):

    details = MemoryEventDetail.objects.filter(
        publish=True,
        image__build_number=build_number,
    )

    serializer = MySerializer()
    data = serializer.serialize(details)

    return JSONResponse(data)


@require_GET
def machine_overview(request):

    details = MemoryEventMachine.objects.filter(
        publish=True,
    )

    serializer = MySerializer()
    data = serializer.serialize(details)

    return JSONResponse(data)


@require_GET
def image_overview(request):

    details = MemoryEventImage.objects.filter(
        publish=True,
    )

    serializer = MySerializer()
    data = serializer.serialize(details)

    return JSONResponse(data)
