# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import sys

from django.conf.urls.defaults import (
    include,
    patterns,
    url,
)

from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns(
    '',
    url(r'^$', 'common.views.index', name='index'),
    url(r'^smokeng/', include('smokeng.urls')),
    url(r'^sru/', include('sru.urls')),
    url(r'^bootspeed/', include('bootspeed.urls')),
    url(r'^api/bootspeed/', include('bootspeed.urls_api')),
    url(r'^memory/', include('memory.urls')),
    url(r'^api/memory/', include('memory.urls_api')),
    url(r'^memevent/', include('memevent.urls')),
    url(r'^api/memevent/', include('memevent.urls_api')),
    url(r'^power/$', 'power.views.overview', name='power_overview'),
    url(r'^power/hardware/', include('power.urls')),
    url(r'^api/power/hardware/', include('power.urls_api')),
    url(r'^power/idle/', include('idle_power.urls')),
    url(r'^api/power/idle/', include('idle_power.urls_api')),
    url(r'^power/eventstat/', include('eventstat.urls')),
    url(r'^api/power/eventstat/', include('eventstat.urls_api')),
    url(r'^admin/', include(admin.site.urls)),
    (r'^openid/', include('django_openid_auth.urls')),
)

if 'runserver' in sys.argv:
    urlpatterns += patterns(
        '',
        (
            r'^static/(?P<path>.*)$',
            'django.views.static.serve',
            {'document_root': 'static'}
        )
    )

from django.contrib.staticfiles.urls import staticfiles_urlpatterns
urlpatterns += staticfiles_urlpatterns()
